/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.calendar.portlet;

import com.liferay.calendar.CalendarEventDurationException;
import com.liferay.calendar.CalendarEventEndDateException;
import com.liferay.calendar.CalendarEventStartDateException;
import com.liferay.calendar.CalendarEventTitleException;
import com.liferay.calendar.DuplicateCalendarResourceException;
import com.liferay.calendar.NoSuchBookingException;
import com.liferay.calendar.NoSuchEventException;
import com.liferay.calendar.NoSuchResourceException;
import com.liferay.portal.security.auth.PrincipalException;
import com.liferay.util.bridges.mvc.MVCPortlet;

/**
 * @author Eduardo Lundgren
 */
public class CalendarPortlet extends MVCPortlet {

	@Override
	protected boolean isSessionErrorException(Throwable cause) {
		if (cause instanceof CalendarEventDurationException ||
			cause instanceof CalendarEventEndDateException ||
			cause instanceof CalendarEventStartDateException ||
			cause instanceof CalendarEventTitleException ||
			cause instanceof DuplicateCalendarResourceException ||
			cause instanceof NoSuchBookingException ||
			cause instanceof NoSuchEventException ||
			cause instanceof NoSuchResourceException ||
			cause instanceof PrincipalException) {

			return true;
		}

		return false;
	}

}