/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.calendar.workflow;

import com.liferay.portal.kernel.workflow.WorkflowConstants;

/**
 * @author Michael C. Han
 */
public class CalendarBookingWorkflowConstants extends WorkflowConstants {

	public static final String LABEL_ACCEPTED = "accepted";

	public static final String LABEL_DECLINED = "declined";

	public static String toLabel(int status) {
		if (status == STATUS_APPROVED) {
			return LABEL_ACCEPTED;
		}
		else if (status == STATUS_DENIED) {
			return LABEL_DECLINED;
		}
		else {
			return WorkflowConstants.toLabel(status);
		}
	}

	public static int toStatus(String label) {
		if (label.equals(LABEL_ACCEPTED)) {
			return STATUS_APPROVED;
		}
		else if (label.equals(LABEL_DECLINED)) {
			return STATUS_DENIED;
		}
		else {
			return WorkflowConstants.toStatus(label);
		}
	}

}